Skip to content
Get started

Clone a voice

POST/voices/clone

Clone a voice from an audio recording. Send audio as a base64-encoded string. The cloned voice will be available in GET /voices.

Body ParametersJSONExpand Collapse
audio: string

Base64-encoded audio data (max ~7.5MB decoded)

maxLength10000000
contentType: "audio/webm" or "audio/wav" or "audio/mpeg" or 3 more

MIME type of the audio

One of the following:
"audio/webm"
"audio/wav"
"audio/mpeg"
"audio/ogg"
"audio/mp4"
"video/webm"
language: "en" or "fr" or "es" or 5 more

Language of the voice

One of the following:
"en"
"fr"
"es"
"de"
"it"
"pt"
"ru"
"zh"
name: string

Name for the cloned voice

minLength1
ReturnsExpand Collapse
id: string
cartesiaVoiceId: string
createdAt: string
language: string
name: string

Clone a voice

curl https://www.getrevox.com/api/voices/clone \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $REVOX_API_KEY" \
    -d '{
          "audio": "audio",
          "contentType": "audio/webm",
          "language": "en",
          "name": "x"
        }'
{
  "id": "id",
  "cartesiaVoiceId": "cartesiaVoiceId",
  "createdAt": "createdAt",
  "language": "language",
  "name": "name"
}
Returns Examples
{
  "id": "id",
  "cartesiaVoiceId": "cartesiaVoiceId",
  "createdAt": "createdAt",
  "language": "language",
  "name": "name"
}